<?php
/*
*----------------------------phpMyBitTorrent V 2.0-----------------------------*
*--- The Ultimate BitTorrent Tracker and BMS (Bittorrent Management System) ---*
*--------------   Created By Antonio Anzivino (aka DJ Echelon)   --------------*
*-------------               http://www.p2pmania.it               -------------*
*------------ Based on the Bit Torrent Protocol made by Bram Cohen ------------*
*-------------              http://www.bittorrent.com             -------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*--   This program is free software; you can redistribute it and/or modify   --*
*--   it under the terms of the GNU General Public License as published by   --*
*--   the Free Software Foundation; either version 2 of the License, or      --*
*--   (at your option) any later version.                                    --*
*--                                                                          --*
*--   This program is distributed in the hope that it will be useful,        --*
*--   but WITHOUT ANY WARRANTY; without even the implied warranty of         --*
*--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          --*
*--   GNU General Public License for more details.                           --*
*--                                                                          --*
*--   You should have received a copy of the GNU General Public License      --*
*--   along with this program; if not, write to the Free Software            --*
*-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA --*
*--                                                                          --*
*------------------------------------------------------------------------------*
*------              ©2005 phpMyBitTorrent Development Team              ------*
*-----------               http://phpmybittorrent.com               -----------*
*------------------------------------------------------------------------------*
*-----------------   Sunday, September 27, 2008 8:37 PM   ---------------------*
*/

if (!defined('IN_PMBT')) die ("You can't access this file directly");

$tableopen = false;
$errtableopen = false;
$table2open = false;
$btback1 = "f0f0f0";
$btback2 = "f9f9f9";
$btback3 = "EBDDE2";
                   

function OpenTable($title = "title", $tablewidth = "") {
        global $tableopen, $siteurl;
        if ($tableopen) return;
		if($tablewidth !="") $stylewidth = "style=\"width: ".$tablewidth."px;\"";
		else $stylewidth = '';
        echo "<div class=\"mainbox\" ".$stylewidth."> ";
	echo "<span class=\"mainbox-title\">".$title."</span><div style=\"margin: 0 auto;\">";
	       
	$tableopen = true;
}

function CloseTable() {
        global $tableopen, $siteurl;
        if (!$tableopen) return;
        echo "</div></div>";

        $tableopen = false;
}

function OpenTable2($title = "") {
      global $tableopen2, $siteurl;
        if ($tableopen2) return;
        echo "<div id=\"messagebox\" > ";
	echo "<span class=\"messagebox-title\">".$title."</span><div style=\"margin: 0 auto;\">";
	       
	$tableopen2 = true;
 }

function CloseTable2() {
          global $tableopen2, $siteurl;
        if (!$tableopen2) return;
        echo "</div></div>";

        $tableopen2 = false;
}

function OpenNewsTable($title = "") {
      global $OpenNewsTable, $siteurl;
        if ($OpenNewsTable) return;
        echo "<div id=\"newsbox\" > ";
	       
	$OpenNewsTable = true;
 }

function CloseNewsTable() {
          global $OpenNewsTable, $siteurl;
        if (!OpenNewsTable) return;
        echo "</div>";

        $OpenNewsTable = false;
}

function OpenMessTable($title = "") {
      global $OpenMessTable, $siteurl;
        if ($OpenMessTable) return;
        echo "<div id=\"messagebox\"> ";
	echo "<span class=\"messagebox-title\">".$title."</span>";
	       
	$OpenMessTable = true;
 }

function CloseMessTable() {
          global $OpenMessTable, $siteurl;
        if (!$OpenMessTable) return;
        echo "</div>";

        $OpenMessTable = false;
}

function OpenSuccTable($title = "") {
      global $OpenSuccTable, $siteurl;
        if ($OpenSuccTable) return;
        echo "<div id=\"successbox\" > ";
	echo "<span class=\"successbox-title\">".$title."</span>";
	       
	$OpenSuccTable = true;
 }

function CloseSuccTable() {
          global $OpenSuccTable, $siteurl;
        if (!$OpenSuccTable) return;
        echo "</div>";

        $OpenSuccTable = false;
}
function OpenErrTable($title) {
      global $OpenErrTable, $siteurl;
        if ($OpenErrTable) return;
        echo "<div id=\"errorbox\" > ";
	echo "<span class=\"errorbox-title\">".$title."</span>";
	       
	$OpenErrTable = true;
 }

function CloseErrTable() {
          global $OpenErrTable, $siteurl;
        if (!$OpenErrTable) return;
        echo "</div>";

        $OpenErrTable = false;
}
function themechange(){
{
global $theme;
        $themes = Array();
        $thememaindir = "themes";
        $themehandle = opendir($thememaindir);
        while ($themedir = readdir($themehandle)) {
                if (is_dir($thememaindir."/".$themedir) AND $themedir != "." AND $themedir != ".." AND $themedir != "CVS")
                        $themes[$themedir] = $themedir;
        }
        closedir($themehandle);
        unset($thememaindir,$themedir);
}
        $change = '';
foreach ($themes as $key=>$val) {
		$change .= "<option ";
        if ($theme == $key) $change .="selected ";
        $change .= "value=\"".$key."\">".$val."</option>\n";
}
unset($themes);
return $change;
}
function languagechange(){
{
global $language;
        $languages = Array();
        $langdir = "language";
        $langhandle = opendir($langdir);
        while ($langfile = readdir($langhandle)) {
                if (preg_match("/\.php$/",$langfile) AND strtolower($langfile) != "mailtexts.php")
                        $languages[str_replace(".php","",$langfile)] = ucwords(str_replace(".php","",$langfile));
        }
        closedir($langhandle);
        unset($langdir,$langfile);
}
        $change = '';
foreach ($languages as $key=>$val) {
        $change .="<option ";
        if ($language == $key) $change .="selected";
        $change .=" value=\"".$key."\">".$val."</option>\n";
}
unset($languages);
return $change;
}

function themeheader() {
global $db, $db_prefix, $theme, $siteurl, $user, $upload_level, $sitename, $gfx_check, $donations, $INVITEONLY,$onlysearch, $pivate_mode, $forumshare, $shout_config, $version;

if ($user->user) {
        //Update online user list
        $pagename = substr($_SERVER["PHP_SELF"],strrpos($_SERVER["PHP_SELF"],"/")+1);
        $sqlupdate = "UPDATE ".$db_prefix."_online_users SET page = '".addslashes($pagename)."', last_action = NOW() WHERE id = ".$user->id.";";
        $sqlinsert = "INSERT INTO ".$db_prefix."_online_users VALUES ('".$user->id."','".addslashes($pagename)."', NOW(), NOW())";
        $res = $db->sql_query($sqlupdate);
        if (!$db->sql_affectedrows($res)) $db->sql_query($sqlinsert);
}
echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
echo "<html>\n";
echo "<head>\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\" />\n";
echo "<meta name=\"generator\" content=\"PMBT ".$version."\" />\n";
echo "<meta http-equiv=\"Pragma\" content=\"no-cache\" />\n";
echo "<meta http-equiv=\"Expires\" content=\"-1\" />\n";
echo "<meta http-equiv=\"Cache-Control\" content=\"no-cache\" />\n";
echo "<!--[if lt IE 7]>
<script defer type=\"text/javascript\" src=\"$siteurl/pngfix.js\"></script><![endif]-->";
echo "<title>".$sitename."</title>\n";
?>
<script type="text/javascript">
pmbtsite_url = "<?php echo $siteurl; ?>";
tag_prompt = "<?php echo _bb_tag_prompt; ?>";
img_prompt = "<?php echo _bb_img_prompt; ?>";
font_formatter_prompt = "<?php echo _bb_font_formatter_prompt; ?>";
link_text_prompt = "<?php echo _bb_link_text_prompt; ?>";
link_url_prompt = "<?php echo _bb_link_url_prompt; ?>";
link_email_prompt = "<?php echo _bb_link_email_prompt; ?>";
list_type_prompt = "<?php echo _bb_list_type_prompt; ?>";
list_item_prompt = "<?php echo _bb_list_item_prompt; ?>";
_btshoutnowprivate = "<?php echo _btshoutnowprivate; ?>";
shoutrefresht = "<?php echo $shout_config['refresh_time']; ?>";
shoutidle = "<?php echo $shout_config['idle_time']; ?>";
</script>
<?php
if (is_readable("themes/$theme/favicon.ico")) {
        echo "<link REL=\"shortcut icon\" HREF=\"$siteurl/themes/".$theme."/favicon.ico\" TYPE=\"image/x-icon\">\n";
}

if (!$onlysearch) {
        echo "<link rel=\"alternate\" type=\"application/rss+xml\" title=\"Last Torrents\" href=\"$siteurl/backend.php?op=last\">\n";
        echo "<link rel=\"alternate\" type=\"application/rss+xml\" title=\"Best Torrents\" href=\"$siteurl/backend.php?op=best\">\n";
}


if (is_readable("themes/$theme/style.css")) {
        echo "<link rel=\"StyleSheet\" href=\"$siteurl/themes/$theme/style.css\" type=\"text/css\">\n<script type=\"text/javascript\" src=\"$siteurl/global.js\"></script>\n";
}
overlib_init();

echo "</head>\n\n";


$themepage = false;
?><!--[if lt IE 7]><link rel="stylesheet" type="text/css" media="screen" href="themes/pmbt/iestyle.css">
<![endif]-->
<!--[if IE 7]>
<link rel="stylesheet" type="text/css" media="screen" href="themes/pmbt/iestyle.css">
<![endif]-->
<?php
if($user->user)echo "<body onload=\"shoutthis_ajax()\">\n";
else
echo "<body>";
echo"<noscript>
<center><h1><font class=warntext>Javascript is not available!</font></h1></center>
<center><h1><font class=warntext>This website cannot function correctly without JavaScript!</font></h1></center>
</noscript>\n";
echo "<div id=\"overDiv\" style=\"position:absolute; visibility:hidden; z-index:1000;\"></div>\n";
echo "<div id=\"pmbtwrap\">\n";
echo'<div id="theme-header">
	</div>
	<div id="theme-body"><div align="center"><br><img style="display: block; margin: 0 auto;"src="themes/pmbt/pics/logo.png" height="150" width="812" alt="">';
	
		echo "<div id=\"navcontainer\" align=\"center\">
				<ul id=\"navlist\">\n";
					echo(preg_match("/index.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\" >Home</a>":"<li><a href=\"index.php\">Home</a></li>";
					echo(preg_match("/torrents.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\" >Torrents</a>":"<li><a href=\"torrents.php\">Torrents</a></li>";
					if($forumshare)echo(preg_match("/phpBB.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\">Forums</a></li>":"<li><a href=\"phpBB.php\">Forums</a></li>";
					echo(preg_match("/chat.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\" >Chat</a></li>":"<li><a href=\"chat.php\">Chat</a></li>";
					if($user->user)echo(preg_match("/user.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\" href=\"user.php?op=profile&id=" . $user->id ."\">My Profile</a></li>":"<li><a href=\"user.php?op=profile&id=" . $user->id ."\">My Profile</a></li>";
					echo(preg_match("/donate.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\"  onClick=\"javascript:urchinTracker ('/donate/navbar');\">Donate<span style='margin-left: 4px; vertical-align: super; color:#AA0000; font-family:sans-serif; font-weight: bolder; font-size: 6pt;'>NOW</span></a></li>":"<li><a href=\"donate.php\" onClick=\"javascript:urchinTracker ('/donate/navbar');\">Donate<span style='margin-left: 4px; vertical-align: super; color:#AA0000; font-family:sans-serif; font-weight: bolder; font-size: 6pt;'>NOW</span></a></li>";
					if(($user->user OR $upload_level == "all"))echo(preg_match("/upload.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\" href=\"upload.php\">Upload</a></li>":"<li><a href=\"upload.php\">Upload</a></li>";
					if($user->user)echo(preg_match("/memberslist.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\" >Members</a></li>":"<li><a href=\"memberslist.php\">Members</a></li><br />";
					if($user->user)echo(preg_match("/helpdesk.php/",$_SERVER["PHP_SELF"])) ? "<li id=\"active\"><a id=\"current\" >Help Desk</a></li>":"<li><a href=\"helpdesk.php\">Help Desk</a></li>";

				echo "</ul>
			</div>";
function newuserpage($page)
{
if(preg_match("/user.php/",$page))return true;
if(preg_match("/takeconfirminvite.php/",$page))return true;
if(preg_match("/confirminvite.php/",$page))return true;
return false;
}
if($pivate_mode AND !$user->user AND !newuserpage($_SERVER["PHP_SELF"])){
 loginrequired("user", false);
include'footer.php';
}

echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
echo "<tr>\n";
echo "<td>\n";

//echo "<link rel=\"search\" type=\"application/opensearchdescription+xml\" href=\"/w/opensearch_desc.php\" title=\"Wikipedia (English)\" />";
$reason = "";
if (is_banned($user, $reason)) {
        echo "<p>&nbsp;</p>\n";
        echo "<p>&nbsp;</p>\n";
        echo "<h3 align=\"center\">".str_replace("**reason**",htmlspecialchars($reason),_btbannedmsg)."</p>\n";
        echo "<p>&nbsp;</p>\n";
        echo "<p>&nbsp;</p>\n";
        include("footer.php");
        die();
}

$has_newpm = false;
$sql = "SELECT id FROM ".$db_prefix."_private_messages WHERE recipient = '".$user->id."' AND is_read = 'false' LIMIT 1;";
$res = $db->sql_query($sql) or btsqlerror($sql);
$has_newpm = ($db->sql_numrows($res) > 0) ? true : false;
$db->sql_freeresult($res);
if ($has_newpm)
{
  echo "<script type=\"text/javascript\" language=\"JavaScript\">";
  echo "sPath = window.location.pathname;";
  echo "sPage = sPath.substring(sPath.lastIndexOf('/') + 1);";
  
  echo "if (sPage != \"pm.php\"){ var answer = confirm (\""._jscriptconfirmtext."\");";
  echo "if (answer) window.location=\"pm.php?op=inbox\";";
  echo "}";
  echo "</script>";

}

echo "<table width=\"100%\">\n";
echo "<tr>\n";
echo "<td width=\"2%\" valign=\"top\">\n";
echo "<div >";
if(!preg_match("/phpBB.php/",$_SERVER["PHP_SELF"]))
{
OpenTable('Theme Change');
		echo "<p align=\"center\"><b>Theme</b></p>\n";
	    echo "<form id=\"acp_styles\" type=\"hidden\" method=\"post\" action=\"#\">";
        echo "<p><select id=\"template_file\" name=\"theme_change\" onchange=\"if (this.options[this.selectedIndex].value != '') this.form.submit();\">".themechange()."</select></p>";
		echo "<p align=\"center\"><b>Language</b></p>\n";
	    echo "<p><select id=\"language_file\" name=\"language_change\" onchange=\"if (this.options[this.selectedIndex].value != '') this.form.submit();\">".languagechange()."</select></p>";
		echo " <input class=\"button2\" type=\"submit\" value=\"SELECT\" /></form>";
CloseTable();		
include("./blocks/usercp.php");
// invite block
if ($user->user AND $INVITEONLY)
{
	
		
		OpenTable(_btinvites);
		echo "<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n";
		echo "<tr><td align=\"center\">"._btinfituh."<br></td></tr>\n";
		if ($user->invites > 0 ){
		echo "<tr><td align=\"center\"><a href=invite.php>"._btsendiv."</a><br></td></tr>\n";
		}
		echo "</table>";
		
		CloseTable();
	
}

if ($donations){
include("./blocks/donation_block.php");
}
if (!$onlysearch OR $user->admin) include_once("./blocks/catlist.php");
//include("blocks/shoutbox.php");
if (!$onlysearch) include("./blocks/syndicate.php"); #Deactivated until RSS syndication is complete

OpenTable("HTML");
echo "<p align=\"center\"><a href=\"http://validator.w3.org/check?uri=referer\"><img src=\"http://www.w3.org/Icons/valid-html401\" alt=\"Valid HTML 4.01 Transitional\" height=\"31\" width=\"88\" border=\"0\"></a></p>\n";
CloseTable();
}
echo "</div></td>\n";
echo "<td width=\"75%\" valign=\"top\">\n";
echo "<div id=\"rightcolumn\">";
$sql_profile = "SELECT * FROM ".$db_prefix."_users where id = '".$user->id."' ;";
$res_profile = $db->sql_query($sql_profile);
$userrow = $db->sql_fetchrow($res_profile);
$db->sql_freeresult($res_profile);
// WARN things START
if ($user->user) {
if ($user->downloaded > 0){
include ("./ratiowarn.php");
}
}
 if ($userrow["warned"])
 {
$warn_kapta = $userrow["warn_kapta"];
$warn_hossz = $userrow["warn_hossz"];
$modcomment = $userrow["modcomment"];

if ($warn_hossz != -1) {
$warn = $warn_kapta + $warn_hossz;
$time_now = strtotime(gmdate("Y-m-d H:i:s", time()));
if ($warn < $time_now)
{
$modcomment = "[ " . gmdate("Y-m-d H:i:s", time()) . " - WARN time expired ]\n" . $modcomment;
$msg = ("Your WARN time expired, so we deleted it!");
     @$db->sql_query("INSERT INTO ".$db_prefix."_private_messages (sender, recipient, subject, text, sent) VALUES(1, " .$user->id. ",'WARNING' '" . $msg ."', NOW())") or die(mysql_error());  
$modcomment = $modcomment;
$frissites = $db->sql_query("UPDATE ".$db_prefix."_users SET modcomment=$modcomment, warned='0', warn_kapta='0', warn_hossz='0' WHERE id='".$user->id."'") or die(mysql_error());
}
}
}
// WARN things END
 //////////////////// Kommentera modd ////////////////////////
$komment = '';
$res =  $db->sql_query("SELECT torrent FROM ".$db_prefix."_peers WHERE uid='".$user->id."'")or print(mysql_error());
while($row = $db->sql_fetchrow($res)){
$kom = $db->sql_fetchrow( $db->sql_query("SELECT count(*) FROM ".$db_prefix."_comments WHERE user= '".$user->id."' AND torrent='$row[torrent]'"))or print(mysql_error());
$tor = $db->sql_fetchrow( $db->sql_query("SELECT name,owner FROM ".$db_prefix."_torrents WHERE id='$row[torrent]'"))or print(mysql_error());
if(!$kom[0] && $tor[owner] !=  $user->id){
 $komment .= "<a href=details.php?id=".$row[torrent].">".$tor[name]."</a><br>";
}
}
 /////////////////////////////////////////////////////////////
if ($user->user) {
 if ($komment){
 print("<p><table border=0 cellspacing=0 cellpadding=10 bgcolor=green><tr><td style='padding: 50px; background: green'>\n");
 print("Please leave a comment on:<br>$komment");
 print("</td></tr></table></p>\n");
}
}
}

function overlib_init() {
        echo "<script type=\"text/javascript\" src=\"overlib/overlib.js\"><!-- overLIB (c) Erik Bosrup --></script>\n";
        echo "<script type=\"text/javascript\" src=\"overlib/overlib_shadow.js\"><!-- overLIB (c) Erik Bosrup --></script>\n";
}
function themefooter(){
global $startpagetime;
if(!preg_match("/phpBB.php/",$_SERVER["PHP_SELF"])){
echo"</div></td><td width=\"18%\" valign=top >";#right hand collom here
echo"</td>";
echo"</tr>";
}
echo'
<tr>
<td>
<td><p class="footer">
 <!-- Feel free to add you custom disclaimer or copyright notice here -->
 <!-- YOU ARE NOT ALLOWED TO EDIT THE FOLLOWING COPYRIGHT NOTICE!!! -->
 phpMyBitTorrent &copy; 2005-2010 <a href="http://phpmybittorrent.com">phpMyBitTorrent Team</a>.<br>
 This is free software and contains source code version of GNU/LGPL distributed libraries.<br>
 You may redistribute the whole package and its source code according to the GNU/GPL license.<br>
 The Development Team cannot be held responsible in any way for the results of the use of this software.<br>
 <!-- END OF COPYRIGHT NOTICE -->
 Generated in ' . abs(round(microtime()-$startpagetime,2)) . ' seconds
 </p>';
 echo'<!-- Start of StatCounter Code -->
 <script type="text/javascript">
 var sc_project=2789089;
 var sc_invisible=0;
 var sc_partition=28;
 var sc_security="7d0a2fe3";
 </script>

 <script type="text/javascript" src="http://www.statcounter.com/counter/counter_xhtml.js"></script><noscript><div class="statcounter"><a class="statcounter" href="http://www.statcounter.com/"><img class="statcounter" src="http://c29.statcounter.com/2789089/0/7d0a2fe3/0/" alt="web metrics" ></a></div></noscript>
<!-- End of StatCounter Code -->
</td>
</tr>
</table>
</td>
</tr>
</table>
</div>
</div>
<div id="theme-footer"></div>
</div>
</body>
</html>';
}
function help($name,$help,$title = "") {
        echo "<span onmouseover=\"return overlib('".addslashes(str_replace(Array("\n","\""),Array("","'"),$help)),"'";
        if ($title != "") echo ",CAPTION, '".addslashes(str_replace(Array("\n","\""),Array("","'"),$title))."'";
        echo ",FGCOLOR,'#ffffaa',CAPICON,'themes/pmbt/pics/help.png',SHADOW,SHADOWOPACITY,40,SHADOWCOLOR,'#000000',SHADOWX,2,SHADOWY,2,HAUTO,VAUTO);\" onmouseout=\"return nd();\" style=\"cursor:help\">".$name."</span>";
}
?>